This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 922322 - (CVE-2012-6542) CVE-2012-6542 Kernel: llc: information leak via getsockname
CVE-2012-6542 Kernel: llc: information leak via getsockname
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20120815,reported=2...
: Security
Depends On: 922327 922329 922331 922332 922333
Blocks: 858947
  Show dependency treegraph
 
Reported: 2013-03-16 05:14 EDT by Prasad J Pandit
Modified: 2015-07-31 03:01 EDT (History)
25 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-09 14:05:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Prasad J Pandit 2013-03-16 05:14:56 EDT
Linux kernel built with Logical Link Control(LLC) protocol is vulnerable
to an information leakage flaw. It occurs while retrieving socket name via
getsockname call.

A user/program could use this flaw to leak kernel memory bytes.

Upstream fix:
-------------
 -> https://git.kernel.org/linus/3592aaeb80290bda0f2cf0b5456c97bfc638b192

Reference:
----------
 -> http://www.openwall.com/lists/oss-security/2013/03/14/21
Comment 1 Prasad J Pandit 2013-03-16 05:23:03 EDT
Statement:

This issue does not affect the versions of the kernel package as shipped with Red Hat Enterprise MRG 2.

This issue affects the version of the Linux kernel as shipped with Red Hat Enterprise Linux 5 and Red Hat Enterprise Linux 6.  Future kernel updates for Red Hat Enterprise Linux 6 may address this issue.
Comment 7 errata-xmlrpc 2013-04-16 15:05:32 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:0747 https://rhn.redhat.com/errata/RHSA-2013-0747.html
Comment 8 errata-xmlrpc 2013-11-21 12:01:27 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:1645 https://rhn.redhat.com/errata/RHSA-2013-1645.html

Note You need to log in before you can comment on or make changes to this bug.